<!doctype html>
<html>
<head>
    <title>New releases: Tor 0.4.2.6 and 0.4.1.8 | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="New releases: Tor 0.4.2.6 and 0.4.1.8 | Tor Project">
    <meta property="og:description" content="We have two new stable releases today. If you build Tor from source, you can download the source code for 0.4.2.6 from the download page on our website. Packages should be available within the next several weeks, with a new Tor Browser by mid-February.">
    <meta property="og:image" content="https://blog.torproject.org/new-releases-tor-0426-0418/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/new-releases-tor-0426-0418/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        New releases: Tor 0.4.2.6 and 0.4.1.8
      </h1>
    <p class="meta">by nickm | January 30, 2020</p>
    <picture>
      
      <img class="lead" src="lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p>We have two new stable releases today. If you build Tor from source, you can download the source code for 0.4.2.6 from the <a href="https://www.torproject.org/download/tor/">download page</a> on our website. Packages should be available within the next several weeks, with a new Tor Browser by mid-February.</p>
<p>We've also put out an update for our older stable 0.4.1.x series: 0.4.1.8 (<a href="https://gitweb.torproject.org/tor.git/plain/ChangeLog?h=tor-0.4.1.8">changelog</a>), which you can download at <a href="https://dist.torproject.org">dist.torproject.org</a>. Note that the currently supported release series are now 0.3.5.x (LTS), 0.4.1.x, 0.4.2.x, and 0.4.3.x (in alpha).  The 0.2.9.x series became unsupported on January 1, and support for 0.4.0.x will end on February 2.</p>
<p>This is the second stable release in the 0.4.2.x series. It backports several bugfixes from 0.4.3.1-alpha, including some that had affected the Linux seccomp2 sandbox or Windows services. If you're running with one of those configurations, you'll probably want to upgrade; otherwise, you should be fine with 0.4.2.5.</p>
<h2>Changes in version 0.4.2.6 - 2020-01-30</h2>
<ul>
<li>Major bugfixes (linux seccomp sandbox, backport from 0.4.3.1-alpha):
<ul>
<li>Correct how we use libseccomp. Particularly, stop assuming that rules are applied in a particular order or that more rules are processed after the first match. Neither is the case! In libseccomp &lt;2.4.0 this led to some rules having no effect. libseccomp 2.4.0 changed how rules are generated, leading to a different ordering, which in turn led to a fatal crash during startup. Fixes bug <a href="https://bugs.torproject.org/29819">29819</a>; bugfix on 0.2.5.1-alpha. Patch by Peter Gerber.</li>
<li>Fix crash when reloading logging configuration while the experimental sandbox is enabled. Fixes bug <a href="https://bugs.torproject.org/32841">32841</a>; bugfix on 0.4.1.7. Patch by Peter Gerber.</li>
</ul>
</li>
<li>Minor bugfixes (correctness checks, backport from 0.4.3.1-alpha):
<ul>
<li>Use GCC/Clang's printf-checking feature to make sure that tor_assertf() arguments are correctly typed. Fixes bug <a href="https://bugs.torproject.org/32765">32765</a>; bugfix on 0.4.1.1-alpha.</li>
</ul>
</li>
</ul>
<p> </p>
<!--break--><ul>
<li>Minor bugfixes (logging, crash, backport from 0.4.3.1-alpha):
<ul>
<li>Avoid a possible crash when trying to log a (fatal) assertion failure about mismatched magic numbers in configuration objects. Fixes bug <a href="https://bugs.torproject.org/32771">32771</a>; bugfix on 0.4.2.1-alpha.</li>
</ul>
</li>
<li>Minor bugfixes (testing, backport from 0.4.3.1-alpha):
<ul>
<li>When TOR_DISABLE_PRACTRACKER is set, do not apply it to the test_practracker.sh script. Doing so caused a test failure. Fixes bug <a href="https://bugs.torproject.org/32705">32705</a>; bugfix on 0.4.2.1-alpha.</li>
<li>When TOR_DISABLE_PRACTRACKER is set, log a notice to stderr when skipping practracker checks. Fixes bug <a href="https://bugs.torproject.org/32705">32705</a>; bugfix on 0.4.2.1-alpha.</li>
</ul>
</li>
<li>Minor bugfixes (windows service, backport from 0.4.3.1-alpha):
<ul>
<li>Initialize the publish/subscribe system when running as a windows service. Fixes bug <a href="https://bugs.torproject.org/32778">32778</a>; bugfix on 0.4.1.1-alpha.</li>
</ul>
</li>
<li>Testing (backport from 0.4.3.1-alpha):
<ul>
<li>Turn off Tor's Sandbox in Chutney jobs, and run those jobs on Ubuntu Bionic. Turning off the Sandbox is a work-around, until we fix the sandbox errors in 32722. Closes ticket <a href="https://bugs.torproject.org/32240">32240</a>.</li>
<li>Re-enable the Travis CI macOS Chutney build, but don't let it prevent the Travis job from finishing. (The Travis macOS jobs are slow, so we don't want to have it delay the whole CI process.) Closes ticket <a href="https://bugs.torproject.org/32629">32629</a>.</li>
</ul>
</li>
<li>Testing (continuous integration, backport from 0.4.3.1-alpha):
<ul>
<li>Use zstd in our Travis Linux builds. Closes ticket <a href="https://bugs.torproject.org/32242">32242</a>.</li>
</ul>
</li>
</ul>

    </div>
  <div class="categories">
    <ul><li>
        <a href="../category/releases">
          releases
        </a>
      </li></ul>
  </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Please note that the comment area below has been archived.</p>
      <a id="comment-286596"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-286596" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  nickm
  </article>
    <div class="comment-header">
      <p class="comment__submitted">nickm said:</p>
      <p class="date-time">January 30, 2020</p>
    </div>
    <a href="#comment-286596">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-286596" class="permalink" rel="bookmark">For what it&#039;s worth, I&#039;m…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>For what it's worth, I'm going to be a little more strict about moderating off-topic comments here than I have been for the past few release posts. If you're asking a question about Tor Browser, the Tor website, or the latest anti-censorship situation in some particular country, and you don't see the comment get approved here, that's why.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-286609"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-286609" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Teo Samarzija (not verified)</span> said:</p>
      <p class="date-time">January 31, 2020</p>
    </div>
    <a href="#comment-286609">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-286609" class="permalink" rel="bookmark">And what&#039;s the point of…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>And what's the point of enabling a client-only build in TOR? Including a client-only build in Tor Browser won't significantly reduce its size, the Firefox part of the Tor Browser is way bigger than the TOR part?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-286614"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-286614" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  nickm
  </article>
    <div class="comment-header">
      <p class="comment__submitted">nickm said:</p>
      <p class="date-time">February 01, 2020</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-286609" class="permalink" rel="bookmark">And what&#039;s the point of…</a> by <span>Teo Samarzija (not verified)</span></p>
    <a href="#comment-286614">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-286614" class="permalink" rel="bookmark">There are a lot of things…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>There are a lot of things that can embed Tor, and Tor Browser isn't the only one.  If you're looking at lightweight chat apps for instance, or targeting a mobile enviornment, then savings on download size start to look pretty attractive.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-286722"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-286722" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">February 12, 2020</p>
    </div>
    <a href="#comment-286722">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-286722" class="permalink" rel="bookmark">gpg tells me the signature…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>gpg tells me the signature for 0.4.2.6 was made with 7A02B3521DC75C542BA015456AFEE6D49E92B601 which I don't have. I found this <a href="https://2019.www.torproject.org/docs/signing-keys" rel="nofollow">https://2019.www.torproject.org/docs/signing-keys</a> which is apparently out of date, and this <a href="https://support.torproject.org/tbb/how-to-verify-signature/" rel="nofollow">https://support.torproject.org/tbb/how-to-verify-signature/</a> which is TBB related. So what do I do?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-286727"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-286727" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  nickm
  </article>
    <div class="comment-header">
      <p class="comment__submitted">nickm said:</p>
      <p class="date-time">February 13, 2020</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-286722" class="permalink" rel="bookmark">gpg tells me the signature…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-286727">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-286727" class="permalink" rel="bookmark">Hm, you&#039;re right that this…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hm, you're right that this key isn't exactly easy to find.  (I looked around for a couple of minutes and didn't run into it.)</p>
<p>Anyway, thanks for verifying the signature!  For now you can find my key at the "people" page at <a href="https://www.torproject.org/about/people/" rel="nofollow">https://www.torproject.org/about/people/</a> .  I'll open a bug against the website to try to make it easier to locate.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-286736"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-286736" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">February 13, 2020</p>
    </div>
              <p class="parent visually-hidden">In reply to nickm</p>
    <a href="#comment-286736">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-286736" class="permalink" rel="bookmark">Thanks, it worked.
&gt;I&#039;ll…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Thanks, it worked.</p>
<p>&gt;I'll open a bug against the website</p>
<p>While you're at it: when posting the previous comment, after I hit 'Preview' and then 'Save' the page started reloading in a loop, had to manually interrupt it with Escape. Just caught a similar (or the same) bug after a double 'Preview':</p>
<p>1. Open TorBrowser / invoke 'New Identity'.<br />
2. Enter a comment (with captcha and all) and press 'Preview'.<br />
3. On the preview page press 'Preview' again -&gt; the page goes into a reload loop.<br />
4. Interrupt with Escape.<br />
5. Repeat 1-3 and optionally press 'Preview' some more -&gt; everything works fine.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-286776"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-286776" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">February 15, 2020</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-286736" class="permalink" rel="bookmark">Thanks, it worked.
&gt;I&#039;ll…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-286776">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-286776" class="permalink" rel="bookmark">#5 should read &#039;Repeat 2-3&#039;…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>#5 should read 'Repeat 2-3'. Sorry for any confusion.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-286800"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-286800" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">February 17, 2020</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-286736" class="permalink" rel="bookmark">Thanks, it worked.
&gt;I&#039;ll…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-286800">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-286800" class="permalink" rel="bookmark">&gt; when posting the previous…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>&gt; when posting the previous comment, after I hit 'Preview' and then 'Save' the page started reloading in a loop</p>
<p>Enable Javascript. (Standard or Safer security level.)</p>
<p><a href="https://trac.torproject.org/projects/tor/ticket/22530" rel="nofollow">https://trac.torproject.org/projects/tor/ticket/22530</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-286825"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-286825" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">February 20, 2020</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-286800" class="permalink" rel="bookmark">&gt; when posting the previous…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-286825">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-286825" class="permalink" rel="bookmark">&gt;Enable Javascript.
…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>&gt;Enable Javascript.</p>
<p>Violates my privacy and security policies. Also posting evidently does work so reload loops are more of a nuisance. Thanks for the ticket link though.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div></div></div><a id="comment-286838"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-286838" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">February 21, 2020</p>
    </div>
    <a href="#comment-286838">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-286838" class="permalink" rel="bookmark">I&#039;m getting a bunch of bug…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I'm getting a bunch of bug errors popping up on a bridge relay. Should I be worried about that?</p>
<p>"Feb 21 17:48:17.000 [warn] Couldn't rotate onion key.<br />
Feb 21 17:48:17.000 [warn] tor_bug_occurred_(): Bug: ../src/feature/relay/router.c:2365: router_rebuild_descriptor: Non-fatal assertion !(desc_gen_reason == NULL) failed. (Future instances of this warning will be silenced.) (on Tor 0.4.2.6 )<br />
Feb 21 17:48:17.000 [warn] Bug: Tor 0.4.2.6: Non-fatal assertion !(desc_gen_reason == NULL) failed in router_rebuild_descriptor at ../src/feature/relay/router.c:2365. Stack trace: (on Tor 0.4.2.6 )<br />
Feb 21 17:48:17.000 [warn] Bug:     /usr/bin/tor(log_backtrace_impl+0x6d) [0x64843d] (on Tor 0.4.2.6 )<br />
Feb 21 17:48:17.000 [warn] Bug:     /usr/bin/tor(tor_bug_occurred_+0x10a) [0x6437da] (on Tor 0.4.2.6 )<br />
Feb 21 17:48:17.000 [warn] Bug:     /usr/bin/tor(router_rebuild_descriptor+0x166) [0x576a86] (on Tor 0.4.2.6 )<br />
Feb 21 17:48:17.000 [warn] Bug:     /usr/bin/tor(+0x13417b) [0x57117b] (on Tor 0.4.2.6 )<br />
Feb 21 17:48:17.000 [warn] Bug:     /usr/bin/tor(+0x5e67e) [0x49b67e] (on Tor 0.4.2.6 )<br />
Feb 21 17:48:17.000 [warn] Bug:     /lib/i386-linux-gnu/libevent-2.1.so.6(+0x20b7b) [0xb7d91b7b] (on Tor 0.4.2.6 )<br />
Feb 21 17:48:17.000 [warn] Bug:     /lib/i386-linux-gnu/libevent-2.1.so.6(event_base_loop+0x4d1) [0xb7d923b1] (on Tor 0.4.2.6 )<br />
Feb 21 17:48:17.000 [warn] Bug:     /usr/bin/tor(tor_libevent_run_event_loop+0x30) [0x5d83a0] (on Tor 0.4.2.6 )<br />
Feb 21 17:48:17.000 [warn] Bug:     /usr/bin/tor(do_main_loop+0x107) [0x49a847] (on Tor 0.4.2.6 )<br />
Feb 21 17:48:17.000 [warn] Bug:     /usr/bin/tor(run_tor_main_loop+0x16d) [0x486a3d] (on Tor 0.4.2.6 )<br />
Feb 21 17:48:17.000 [warn] Bug:     /usr/bin/tor(tor_run_main+0x105d) [0x487e5d] (on Tor 0.4.2.6 )<br />
Feb 21 17:48:17.000 [warn] Bug:     /usr/bin/tor(tor_main+0x3f) [0x48525f] (on Tor 0.4.2.6 )<br />
Feb 21 17:48:17.000 [warn] Bug:     /usr/bin/tor(main+0x32) [0x484dd2] (on Tor 0.4.2.6 )<br />
Feb 21 17:48:17.000 [warn] Bug:     /lib/i386-linux-gnu/libc.so.6(__libc_start_main+0xf1) [0xb7687b41] (on Tor 0.4.2.6 )<br />
Feb 21 17:48:17.000 [warn] Bug:     /usr/bin/tor(_start+0x31) [0x484e31] (on Tor 0.4.2.6 )"</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-286845"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-286845" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  nickm
  </article>
    <div class="comment-header">
      <p class="comment__submitted">nickm said:</p>
      <p class="date-time">February 22, 2020</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-286838" class="permalink" rel="bookmark">I&#039;m getting a bunch of bug…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-286845">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-286845" class="permalink" rel="bookmark">Ouch.  That is unpleasant,…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Ouch.  That is unpleasant, but I don't think it's anything to worry about.  If you can, could you open a bug report at trac.torproject.org?  Stuff that it would help to know is:<br />
  * how frequently does this happen?<br />
  * what OS are you on?<br />
  * are you low on disk space, and are the permissions on your keys directory set correctly?<br />
  * Did you upgrade from a previous version of Tor, or is this a new installation?</p>
<p>thanks!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-286865"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-286865" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">February 24, 2020</p>
    </div>
              <p class="parent visually-hidden">In reply to nickm</p>
    <a href="#comment-286865">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-286865" class="permalink" rel="bookmark">Is this bad?=====&gt;
/var/lib…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Is this bad?=====&gt;<br />
/var/lib/tor/keys# ls -l<br />
total 28<br />
-rwxr-xr-x 1 root       debian-tor  64 Jan 24 02:03 ed25519_master_id_public_key<br />
-rwxr-xr-x 1 root       debian-tor  96 Jan 24 02:03 ed25519_master_id_secret_key<br />
-rw------- 1 debian-tor debian-tor 172 Feb 22 03:00 ed25519_signing_cert<br />
-rw------- 1 debian-tor debian-tor  96 Feb 22 03:00 ed25519_signing_secret_key<br />
-rwxr-xr-x 1 root       debian-tor 887 Jan 24 02:03 secret_id_key<br />
-rwxr-xr-x 1 root       debian-tor 887 Jan 24 02:03 secret_onion_key<br />
-rwxr-xr-x 1 root       debian-tor  96 Jan 24 02:03 secret_onion_key_ntor</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-286878"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-286878" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  nickm
  </article>
    <div class="comment-header">
      <p class="comment__submitted">nickm said:</p>
      <p class="date-time">February 26, 2020</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-286865" class="permalink" rel="bookmark">Is this bad?=====&gt;
/var/lib…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-286878">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-286878" class="permalink" rel="bookmark">Yikes. See how the secret…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Yikes. See how the secret keys are all owned by root, and only root-writable?  That's not a great sign.  They should be owned by the Tor user, I think.  But that shouldn't stop Tor from rotating them, I think.</p>
<p>First thing to do is make sure that users other than debian-tor can't see the contents of those files. If they can be read by another user, you might need to replace all your relay's keys entirely, if you think it's possible they've been read by somebody besides you.  You can just delete them away, and Tor will make a new  set of keys and behave like a new relay.</p>
<p>If the keys are still secure, try making sure that they're owned by debian-tor, not root.  They should also be mode 600 or 660, definitely not 755.  Also check the ownership and permissions on the keys directory; it should be mode 700 or 770.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-286885"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-286885" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">February 27, 2020</p>
    </div>
              <p class="parent visually-hidden">In reply to nickm</p>
    <a href="#comment-286885">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-286885" class="permalink" rel="bookmark">I think they were still…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I think they were still secure. changed the permissions as requested.</p>
<p># ls -l<br />
total 36<br />
-rw------- 1 debian-tor debian-tor  64 Jan 24 02:03 ed25519_master_id_public_key<br />
-rw------- 1 debian-tor debian-tor  96 Jan 24 02:03 ed25519_master_id_secret_key<br />
-rw------- 1 debian-tor debian-tor 172 Feb 22 03:00 ed25519_signing_cert<br />
-rw------- 1 debian-tor debian-tor  96 Feb 22 03:00 ed25519_signing_secret_key<br />
-rw------- 1 debian-tor debian-tor 887 Jan 24 02:03 secret_id_key<br />
-rw------- 1 debian-tor debian-tor 892 Feb 24 03:48 secret_onion_key<br />
-rw------- 1 debian-tor debian-tor  96 Feb 24 03:48 secret_onion_key_ntor<br />
-rw------- 1 debian-tor debian-tor  96 Jan 24 02:03 secret_onion_key_ntor.old<br />
-rw------- 1 debian-tor debian-tor 887 Jan 24 02:03 secret_onion_key.old</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div></div></div>
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
